%define name kxmleditor
%define version 1.1.4
%define release %mkrel 11
%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary: 	Kxmleditor
Name:   	%name
Version: 	%version
Release: 	%release
Url:		http://kxmleditor.sourceforge.net

Source0: 	%{name}-%{version}.tar.bz2
License:  	GPL
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root
BuildRequires:	Mesa-common 
BuildRequires:	kdelibs-devel  
Obsoletes:	xmlexplorer
Provides:	xmlexplorer
Requires:	%libname = %version-%release

%description
Kxmleditor is simple program, that display and edit contents of XML file. 
Left side contain tree with XML document structure, right side contain list 
of attributes for selected XML element and its contents. 

%package -n %libname
Group: System/Libraries
Summary: Libraries need by kxmleditors
Provides: lib%name = %version

%description -n %libname
Libraries need by kxmleditors

%package -n %develname
Group: Development/Other
Summary: Development libraries from kxmleditor
Provides: lib%name-devel = %version-%release
Provides: %name-devel = %version-%release
Requires: %libname = %version-%release
Obsoletes: %libname-devel

%description -n %develname
Development libraries from kxmleditor

%prep

%setup  -q

%build
%configure_kde3
%make

%install
rm -fr %buildroot
%makeinstall_std

mkdir -p %{buildroot}%_kde3_datadir/applications/kde
desktop-file-install --delete-original --vendor="" \
	--dir %{buildroot}%_kde3_datadir/applications/kde \
	--remove-category="Application" \
	%{buildroot}%_kde3_datadir/applnk/Applications/*.desktop

%find_lang %{name} --with-html 

%clean
rm -fr %buildroot

%if %mdkversion < 200900
%post
%{update_menus}
%update_icon_cache hicolor
%endif
 
%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_icon_cache hicolor
%endif

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files -f %name.lang
%defattr(-,root,root)
%_kde3_bindir/*
%_kde3_datadir/apps/%name
%_kde3_datadir/applications/kde/*.desktop
%_kde3_datadir/services/*.desktop
%_kde3_iconsdir/*/*/*/*

%files -n %libname
%defattr(-,root,root)
%_kde3_libdir/*.so.*
%_kde3_libdir/*.la

%files -n %develname
%defattr(-,root,root)
%_kde3_libdir/*.so


%changelog
* Sun Aug 31 2008 Funda Wang <fundawang@mandriva.org> 1.1.4-11mdv2009.0
+ Revision: 277716
- switch to /opt

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Feb 22 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.4-9mdv2008.1
+ Revision: 174001
- kill unapplied patch
- fix percent-in-%%post(|un) (#38036)
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 19 2007 Funda Wang <fundawang@mandriva.org> 1.1.4-8mdv2008.0
+ Revision: 53514
- xdg menu item
- new develpackage policy
- Import kxmleditor




* Thu Jul 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.4-7mdv2007.0
- Rebuild for new menu && extension

* Fri May 19 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.1.4-6mdk
- build with automake1.8

* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 1.1.4-5mdk
- fix x86_64 build
- %%mklibname

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.4-4mdk
- Remove redundant buildRequires

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.4-3mdk
- Fix Buildrequires
- use mkrel

* Fri May 06 2005 Laurent MONTEL <lmontel@mandriva.com> 1.1.4-2mdk
- Fix build on x86_64

* Mon Dec 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.4-1mdk
- 1.1.4

* Mon Sep 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.3-1mdk
- 1.1.3

* Tue Aug 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.2-1mdk
- 1.1.2

* Mon Jul 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-1mdk
- 1.1.0

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.0-3mdk
- rebuild 

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.0-2mdk
- Rebuild

* Mon Jan 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.0-1mdk
- 1.0 

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.2-1mdk
- 0.9.2

* Mon Dec 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-2mdk
- Fix requires

* Mon Nov 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-1mdk
- 0.8.3

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-5mdk
- Rebuild

* Mon Nov 25 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.7.2-4mdk
- fix missing files
- add real menu entry
- libidification

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-3mdk
- Rebuild against gcc-3.2

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-2mdk
- Rebuild against gcc3.2

* Sat Jun 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-1mdk
- New version
- Fix compile with gcc-3.1

* Fri Jan 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-2mdk
- Fix spec file
- Make rpmlint happy

* Thu Oct 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-1mdk
- Update code (0.7.1)

* Fri Oct 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-2mdk
- Rebuild against libpng3

* Mon Oct 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-1mdk
- Update code (0.7)

* Mon Sep 10 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-2mdk
- Fix entry menu

* Thu Sep 05 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-1mdk
- Update code (0.6)

* Thu Jul 26 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-1mdk
- Update code (0.5)

* Fri Jul 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4-1mdk
- package renamed : xmlexplorer -> kxmleditor

* Mon Jul 02 2001 Laurent Montel <lmontel@mandrakesoft.com> 0.3-1mdk
- Initial package
